package com.cultural.heritage.model.dto.article;

import com.cultural.heritage.common.PageRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;


@EqualsAndHashCode(callSuper = true)
@Data
public class OfficialAccountArticleQueryRequest extends PageRequest implements Serializable {


    /**
     * 文章标题
     */
    @Schema(description = "文章标题")
    private String title;


    @Serial
    private static final long serialVersionUID = 1L;

}
