package com.cultural.heritage.service.clothes;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.clothes.ClothesQueryRequest;
import com.cultural.heritage.model.entity.Clothes;
import com.cultural.heritage.model.vo.clothes.ClothesVO;

public interface ClothesService extends IService<Clothes> {


    /**
     * 校验
     */
    void validClothes(Clothes clothes, boolean update);


    /**
     * 获取查询条件
     */
    QueryWrapper<Clothes> getQueryWrapper(ClothesQueryRequest clothesQueryRequest);



    ClothesVO getClothesById(Long id);
}
